Bug 247702 - multimedia/shotcut: update to 20.06.28 and fixed NLS option
Summary: multimedia/shotcut: update to 20.06.28 and fixed NLS option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Li-Wen Hsu
URL: https://www.shotcut.org/blog/new-rele...
Keywords: buildisok
Depends on:
Blocks: 240747
  Show dependency treegraph
 
Reported: 2020-07-02 02:12 UTC by VVD
Modified: 2020-07-13 03:28 UTC (History)
2 users (show)

See Also:


Attachments
Update to 20.06.28 and fixed NLS option (5.44 KB, patch)
2020-07-02 02:12 UTC, VVD
no flags Details | Diff
Update to 20.06.28, fixed NLS option, fixed SDL dependency (5.74 KB, patch)
2020-07-02 13:53 UTC, VVD
vvd: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description VVD 2020-07-02 02:12:15 UTC
Created attachment 216124 [details]
Update to 20.06.28 and fixed NLS option

Tested on 12.1 amd64 with and without NLS option:
make check-plist
make test
make install
Comment 1 Automation User 2020-07-02 07:07:57 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/162249689
Comment 2 Li-Wen Hsu freebsd_committer 2020-07-02 07:46:46 UTC
VVD: do you want to maintain this port?
Comment 3 VVD 2020-07-02 12:49:20 UTC
(In reply to Li-Wen Hsu from comment #2)
I do not use it on a regular basis, so it’s better not to.
I can take something that I constantly use. For example, I am the maintainer of the www/tomcat{85,9,-devel} and I use them actively.
Comment 4 VVD 2020-07-02 13:53:41 UTC
Created attachment 216140 [details]
Update to 20.06.28, fixed NLS option, fixed SDL dependency

Removed unnecessary dependency from sdl12: ${LOCALBASE}/lib/libSDL.so:devel/sdl12
Comment 5 commit-hook freebsd_committer 2020-07-03 01:15:03 UTC
A commit references this bug:

Author: lwhsu
Date: Fri Jul  3 01:14:52 UTC 2020
New revision: 541064
URL: https://svnweb.freebsd.org/changeset/ports/541064

Log:
  Update to 20.06.28 and fixed NLS option

  PR:		247702
  Submitted by:	VVD <vvd@unislabs.com>

Changes:
  head/multimedia/shotcut/Makefile
  head/multimedia/shotcut/distinfo
  head/multimedia/shotcut/files/
  head/multimedia/shotcut/pkg-plist